Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jini.rio.watch
Class GaugeWatch

    java.lang.Object
      org.jini.rio.watch.Watch
          org.jini.rio.watch.ThresholdWatch
              org.jini.rio.watch.GaugeWatch

All Implemented Interfaces:
  ThresholdWatchMBean, WatchMBean

    public class GaugeWatch

extends ThresholdWatch

A GaugeWatch provides a mechanism to record values that can go up and down, and can be positive or negative.

Field Summary

Fields inherited from class org.jini.rio.watch.Watch
`DEFAULT_VIEW, id, localRef, logger, watchDataSource`

Constructor Summary
`GaugeWatch(String id)` Create a new GaugeWatch
`GaugeWatch(String id, Archivable archivable, Configuration config)` Creates new GaugeWatch, creates and exports a WatchDataSourceImpl if the WatchDataSource is null using the Configuration object provided
`GaugeWatch(String id, Configuration config)` Creates new GaugeWatch, creates and exports a WatchDataSourceImpl if the WatchDataSource is null using the Configuration object provided
`GaugeWatch(WatchDataSource watchDataSource, String id)` Create a new GaugeWatch

Method Summary
`void` | `addValue(double value)` Add a value
`void` | `addValue(long value)` Add a value

Methods inherited from class org.jini.rio.watch.ThresholdWatch
`addThresholdListener, addWatchRecord, getBreachedCount, getClearedCount, getCurrentHighThreshold, getCurrentLowThreshold, getHighThreshold, getLowThreshold, getThresholdManager, getThresholdValues, removeThresholdListener, setCurrentHighThreshold, setCurrentLowThreshold, setThresholdValues`

Methods inherited from class org.jini.rio.watch.Watch
`clear, equals, getCalculables, getId, getLastCalculableValue, getView, getWatchDataSource, hashCode, main, setView, setWatchDataSource, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.jini.rio.watch.WatchMBean
`clear, getCalculables, getId, getLastCalculableValue`

Constructor Detail

### GaugeWatch

    public GaugeWatch(String id)

  Create a new GaugeWatch

  Parameters:
    `id` - The identifier for this watch

### GaugeWatch

    public GaugeWatch(String id,
                      Configuration config)

  Creates new GaugeWatch, creates and exports a WatchDataSourceImpl if the WatchDataSource is null using the Configuration object provided

  Parameters:
    `id` - The identifier for this watch
    `config` - Configuration object used for constructing a WatchDataSource

### GaugeWatch

    public GaugeWatch(String id,
                      Archivable archivable,
                      Configuration config)

  Creates new GaugeWatch, creates and exports a WatchDataSourceImpl if the WatchDataSource is null using the Configuration object provided

  Parameters:
    `id` - The identifier for this watch
    `archivable` - The Archivable
    `config` - Configuration object used for constructing a WatchDataSource

### GaugeWatch

    public GaugeWatch(WatchDataSource watchDataSource,
                      String id)

  Create a new GaugeWatch

  Parameters:
    `watchDataSource` - The watch data source associated with this watch
    `id` - The identifier for this watch

Method Detail

### addValue

    public void addValue(long value)

  Add a value

  Parameters:
    `value` - New value

### addValue

    public void addValue(double value)

  Add a value

  Parameters:
    `value` - New value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Project Rio.